summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Alexei Panov <elemc@atisserv.ru>2010-09-09 10:45:45 -0400
committer dsomero <xgizzmo@slackbuilds.org>2010-09-09 10:45:45 -0400
commitf44f6c89992329e7061d98e06121e4b485725318 (patch)
tree4553219f222b28f855ef35d6820a673179b6c33d /development
parent2a58ad32bd749d63505e3434f7b28f019908b6b1 (diff)
downloadslackbuilds-f44f6c89992329e7061d98e06121e4b485725318.tar.gz
slackbuilds-f44f6c89992329e7061d98e06121e4b485725318.tar.xz
development/qconf: Added (qmake configure script tool)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'development')
-rw-r--r--development/qconf/README10
-rw-r--r--development/qconf/qconf.SlackBuild68
-rw-r--r--development/qconf/qconf.info10
-rw-r--r--development/qconf/slack-desc19
4 files changed, 107 insertions, 0 deletions
diff --git a/development/qconf/README b/development/qconf/README
new file mode 100644
index 0000000000..c15f0019c9
--- /dev/null
+++ b/development/qconf/README
@@ -0,0 +1,10 @@
+QConf allows you to have a nice configure script for your qmake-based
+project. It is intended for developers who don't need (or want) to use
+the more complex GNU autotools.
+
+Scripts generated by QConf are meant for unix. This means it should only
+be used with projects based on Qt/X11, Qt/Mac, or Qt/Embedded. No effort
+has been made in supporting Qt/Windows based projects (yet).
+
+NOTE: QConf is a Qt 4 program as of version 1.2. However, it can still
+ generate configure scripts for Qt 3 apps. See below for information.
diff --git a/development/qconf/qconf.SlackBuild b/development/qconf/qconf.SlackBuild
new file mode 100644
index 0000000000..0fee3b0c4f
--- /dev/null
+++ b/development/qconf/qconf.SlackBuild
@@ -0,0 +1,68 @@
+#!/bin/sh
+# Slackware build script for qconf
+# Written by Alexei Panov <elemc@atisserv.ru>
+
+PRGNAM=qconf
+VERSION=1.4
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCUMENTATION="AUTHORS COPYING INSTALL NEWS README"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir -p $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R a-s,u+w,go+r-w .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr
+
+make
+make install INSTALL_ROOT=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING README TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+
diff --git a/development/qconf/qconf.info b/development/qconf/qconf.info
new file mode 100644
index 0000000000..04d8827e9f
--- /dev/null
+++ b/development/qconf/qconf.info
@@ -0,0 +1,10 @@
+PRGNAM="qconf"
+VERSION="1.4"
+HOMEPAGE="http://delta.affinix.com/qconf/"
+DOWNLOAD="http://delta.affinix.com/download/qconf-1.4.tar.bz2"
+MD5SUM="e0080044f88c31e032008d5a5682a112"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Alexei Panov"
+EMAIL="<elemc@atisserv.ru>"
+APPROVED="dsomero"
diff --git a/development/qconf/slack-desc b/development/qconf/slack-desc
new file mode 100644
index 0000000000..b4782335d7
--- /dev/null
+++ b/development/qconf/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+qconf: QConf (qmake configure script tool)
+qconf:
+qconf: QConf allows you to have a nice configure script for your qmake-based
+qconf: project. It is intended for developers who don't need (or want) to
+qconf: use the more complex GNU autotools.
+qconf:
+qconf: Homepage: http://delta.affinix.com/qconf/
+qconf:
+qconf:
+qconf:
+qconf: